function init()
	songtime = 0
	playingmusic = true
	music = {
		"MOD/snd/club/1.ogg",
		"MOD/snd/club/2.ogg",
		"MOD/snd/club/3.ogg"
	}
	length = {
		161,
		201,
		182
	}
	song = math.random(1, 3)
end

function tick(dt)

	if playingmusic == true then
		PlayMusic(music[song])
		songtime = songtime + dt
	end

	if InputPressed("esc") == true then
		song = math.random(1, 3)
		StopMusic()
		songtime = 0
	end

	if songtime >= length[song] then
		song = math.random(1, 3)
		StopMusic()
		songtime = 0
	end

end